sparse_matrix.cpp File Reference
`#include <iostream>`
Include dependency graph for sparse_matrix.cpp:

## Functions

int | main ()

## Detailed Description

A sparse matrix is a matrix which has number of zeroes greater than \(\frac{m\times n}{2}\), where m and n are the dimensions of the matrix.

## Function Documentation

## main()

int main | ( | void |  | ) |

main function

{
int m, n;
int counterZeros = 0;
std::cout << "Enter dimensions of matrix (seperated with space): ";
std::cin >> m;
std::cin >> n;
int **a = new int *[m];
for (int i = 0; i < m; i++) a[i] = new int[n];
std::cout << "Enter matrix elements:";
std::cout << "\n";
// reads the matrix from stdin
for (int i = 0; i < m; i++) {
for (int j = 0; j < n; j++) {
std::cout << "element? ";
std::cin >> a[i][j];
}
}
// counts the zero's
for (int i = 0; i < m; i++) {
for (int j = 0; j < n; j++) {
if (a[i][j] == 0)
counterZeros++; // Counting number of zeroes
}
}
// makes sure the matrix is a sparse matrix
if (counterZeros > ((m * n) / 2)) // Checking for sparse matrix
std::cout << "Sparse matrix";
else
std::cout << "Not a sparse matrix";
for (int i = 0; i < m; i++) delete[] a[i];
delete[] a;
return 0;
}
std::cin
std::cout